namespace ScadaLink.Commons.Entities.ExternalSystems;

public class DatabaseConnectionDefinition
{
    public int Id { get; set; }
    public string Name { get; set; }
    public string ConnectionString { get; set; }
    public int MaxRetries { get; set; }
    public TimeSpan RetryDelay { get; set; }

    public DatabaseConnectionDefinition(string name, string connectionString)
    {
        Name = name ?? throw new ArgumentNullException(nameof(name));
        ConnectionString = connectionString ?? throw new ArgumentNullException(nameof(connectionString));
    }
}
